Subject: Ctrl-C to Cancel Message

From: [email-masked] (Jeff Hameluck)
Date: Sun, 03 Jul 1994 21:54:40 GMT

I am trying to install Pine 3.89 on two different systems, an HP-UX 9 machine
and a Solaris 2 machine.  Both work ok but I have nothing but grief with
the Ctrl-C to cancel a message thing.

On HP-UX ctrl-C always bails right out of pine and on Solaris 2 it seems to
work but 90% of the time I don't get the proper:

Cancelling will abandon your mail message.  Cancel? [n] :

prompt above the command list  (I can get it sometimes but it's easy and I'm
never quite sure how I manage to get it) Usually nothing shows up and then if
I hit n for No the No shows up wherever the cursor was.  (This is using pico
as the editor of course).

It seems to me that on HP-UX pico/pine isn't handling the tty right and it is
letting ctrl-c just kill it.  I don't know what is happening on Solaris 2.

Anyone else have these problems?  It's quite bad because we were hoping to
install pine as some user's shell (obviously this is something people have
done/considered because a user can change their password from within pine)
and hitting ctrl-c on HPUX when pine is your shell logs you right out.

-- 
Jeff Hameluck                   [email-masked]
CL 119                          University of Regina
(306) 585-4977                  Regina, Saskatchewan, Canada